#
# spec file for package w3mir (Version 1.0.3)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         w3mir
Release:      2
Copyright:    
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0.3
Summary:      HTTP copying and mirroring tool
Source0:      w3mir-1.0.3.tar.gz
Source1:      libnet-1.0605.tar.gz
Source2:      MD5-1.7.tar.gz
Source3:      MIME-Base64-2.05.tar.gz
Source4:      libwww-perl-5.34.tar.gz
Patch0:       w3mir-1.0.3.dif
Patch1:	      libnet-1.0605.dif
Patch2:       MD5-1.7.dif
Patch3:       MIME-Base64-2.05.dif
%description
The main focus of w3mir is to create and maintain a browsable copy of
one, or several, remote WWW site(s).
Used to the max w3mir can retrieve the contents of
several related sites and leave the mirror browseable via a local web
server, or from a filesystem, such as directly from a CDROM.
w3mir's goal is to be able to make useful mirrors of any reasonable
WWW site. It specifically preserves link integrity within the mirrored
documents as well as the integrity of links outside the mirror, if you
want it to. w3mir has a powerful ``multi scope'' mechanism enabling the
user to make mirrors of several related sites and have links between
them refer to the mirrored documents rather than the original site.
w3mir has several features directed at getting mirrors for CDROM burning
and handling of some not too often seen problems when mirroring.

Authors:
--------
    Lcolai Langfeldt <janl@ifi.uio.no>
    Gorm Haug Eriksen <gorm@usit.uio.no>
    Chris Szurgot <szurgot@itribe.net>
    Ed Jordan <ed@olympus.itl.net>
    Alex Knowles <aknowles@avs.com>

%prep
%setup -T -b 0 -b 1 -b 2 -b 3 -b 4
%patch -p0 -P 0 
cd ../libnet-1.0605
%patch -p0 -P 1
rm -v demos/*.orig
cd ../MD5-1.7
%patch -p0 -P 2
rm -v examples/*.orig
cd ../MIME-Base64-2.05
%patch -p0 -P 3
%build
eval `perl -V:installarchlib`
if [ -e $installarchlib/perllocal.pod ]; then
    mv $installarchlib/perllocal.pod $installarchlib/perllocal.pod.bak ;
fi
cd ../MD5-1.7
perl Makefile.PL
make
make install_perl
cd ../MIME-Base64-2.05
perl Makefile.PL
make
make install_perl
cd ../libnet-1.0605
perl Makefile.PL
make
make install_perl
cd ../libwww-perl-5.34
perl Makefile.PL
make
make install_perl
cd ../w3mir-1.0.3
perl Makefile.PL
make
make install_perl
install -d /var/adm/perl-modules
mv $installarchlib/perllocal.pod /var/adm/perl-modules/w3mir
%install
mkdir -p /usr/doc/packages/w3mir/
mkdir -p /usr/doc/packages/w3mir/html
mkdir -p /usr/doc/packages/w3mir/MD5-1.7
mkdir -p /usr/doc/packages/w3mir/libnet-1.0605
mkdir -p /usr/doc/packages/w3mir/MIME-Base64-2.05
mkdir -p /usr/doc/packages/w3mir/libwww-perl-5.34
cp  -v Artistic MANIFEST Changes INSTALL example.cfg multiscope.cfg README /usr/doc/packages/w3mir
cp -v w3mir-HOWTO.html /usr/doc/packages/w3mir/html/index.html
cd ../MD5-1.7
chown -R root.root /usr/doc/packages/w3mir/MD5-1.7
cp -rv Changes README MANIFEST examples /usr/doc/packages/w3mir/MD5-1.7
cd ../libnet-1.0605
cp -rv ChangeLog MANIFEST README demos README.config FAQ.pod /usr/doc/packages/w3mir/libnet-1.0605
cd ../MIME-Base64-2.05
cp -v MANIFEST README /usr/doc/packages/w3mir/MIME-Base64-2.05
cd ../libwww-perl-5.34
cp -v ChangeLog README MANIFEST TODO /usr/doc/packages/w3mir/libwww-perl-5.34
Check
%files
%doc /usr/doc/packages/w3mir
/var/adm/perl-modules/w3mir
/usr/bin/GET
/usr/bin/HEAD
/usr/bin/POST
/usr/bin/lwp-download
/usr/bin/lwp-mirror
/usr/bin/lwp-request
/usr/bin/lwp-rget
/usr/bin/w3mfix
/usr/bin/w3mir
/usr/lib/perl5/Bundle/LWP.pm
/usr/lib/perl5/FAQ.pod
/usr/lib/perl5/File/Listing.pm
/usr/lib/perl5/HTTP/Cookies.pm
/usr/lib/perl5/HTTP/Daemon.pm
/usr/lib/perl5/HTTP/Date.pm
/usr/lib/perl5/HTTP/Headers.pm
/usr/lib/perl5/HTTP/Headers/Auth.pm
/usr/lib/perl5/HTTP/Headers/ETag.pm
/usr/lib/perl5/HTTP/Headers/Util.pm
/usr/lib/perl5/HTTP/Message.pm
/usr/lib/perl5/HTTP/Negotiate.pm
/usr/lib/perl5/HTTP/Request.pm
/usr/lib/perl5/HTTP/Request/Common.pm
/usr/lib/perl5/HTTP/Response.pm
/usr/lib/perl5/HTTP/Status.pm
/usr/lib/perl5/LWP.pm
/usr/lib/perl5/LWP/Authen/Basic.pm
/usr/lib/perl5/LWP/Authen/Digest.pm
/usr/lib/perl5/LWP/Debug.pm
/usr/lib/perl5/LWP/MediaTypes.pm
/usr/lib/perl5/LWP/MemberMixin.pm
/usr/lib/perl5/LWP/Protocol.pm
/usr/lib/perl5/LWP/Protocol/data.pm
/usr/lib/perl5/LWP/Protocol/file.pm
/usr/lib/perl5/LWP/Protocol/ftp.pm
/usr/lib/perl5/LWP/Protocol/gopher.pm
/usr/lib/perl5/LWP/Protocol/http.pm
/usr/lib/perl5/LWP/Protocol/https.pm
/usr/lib/perl5/LWP/Protocol/mailto.pm
/usr/lib/perl5/LWP/Protocol/nntp.pm
/usr/lib/perl5/LWP/RobotUA.pm
/usr/lib/perl5/LWP/Simple.pm
/usr/lib/perl5/LWP/UserAgent.pm
/usr/lib/perl5/LWP/media.types
/usr/lib/perl5/Net/Cmd.pm
/usr/lib/perl5/Net/Domain.pm
/usr/lib/perl5/Net/DummyInetd.pm
/usr/lib/perl5/Net/FTP.pm
/usr/lib/perl5/Net/FTP/A.pm
/usr/lib/perl5/Net/FTP/E.pm
/usr/lib/perl5/Net/FTP/I.pm
/usr/lib/perl5/Net/FTP/L.pm
/usr/lib/perl5/Net/FTP/dataconn.pm
/usr/lib/perl5/Net/NNTP.pm
/usr/lib/perl5/Net/Netrc.pm
/usr/lib/perl5/Net/PH.pm
/usr/lib/perl5/Net/POP3.pm
/usr/lib/perl5/Net/SMTP.pm
/usr/lib/perl5/Net/SNPP.pm
/usr/lib/perl5/Net/Time.pm
/usr/lib/perl5/URI/Escape.pm
/usr/lib/perl5/URI/Heuristic.pm
/usr/lib/perl5/URI/URL.pm
/usr/lib/perl5/URI/URL/_generic.pm
/usr/lib/perl5/URI/URL/_login.pm
/usr/lib/perl5/URI/URL/data.pm
/usr/lib/perl5/URI/URL/file.pm
/usr/lib/perl5/URI/URL/finger.pm
/usr/lib/perl5/URI/URL/ftp.pm
/usr/lib/perl5/URI/URL/gopher.pm
/usr/lib/perl5/URI/URL/http.pm
/usr/lib/perl5/URI/URL/https.pm
/usr/lib/perl5/URI/URL/mailto.pm
/usr/lib/perl5/URI/URL/news.pm
/usr/lib/perl5/URI/URL/nntp.pm
/usr/lib/perl5/URI/URL/prospero.pm
/usr/lib/perl5/URI/URL/rlogin.pm
/usr/lib/perl5/URI/URL/telnet.pm
/usr/lib/perl5/URI/URL/tn3270.pm
/usr/lib/perl5/URI/URL/wais.pm
/usr/lib/perl5/URI/URL/webster.pm
/usr/lib/perl5/URI/URL/whois.pm
/usr/lib/perl5/WWW/RobotRules.pm
/usr/lib/perl5/WWW/RobotRules/AnyDBM_File.pm
/usr/lib/perl5/auto/LWP/UserAgent/_need_proxy.al
/usr/lib/perl5/auto/LWP/UserAgent/autosplit.ix
/usr/lib/perl5/auto/LWP/UserAgent/clone.al
/usr/lib/perl5/auto/LWP/UserAgent/env_proxy.al
/usr/lib/perl5/auto/LWP/UserAgent/is_protocol_supported.al
/usr/lib/perl5/auto/LWP/UserAgent/mirror.al
/usr/lib/perl5/auto/LWP/UserAgent/no_proxy.al
/usr/lib/perl5/auto/LWP/UserAgent/proxy.al
/usr/lib/perl5/auto/URI/URL/_generic/_netloc_elem.al
/usr/lib/perl5/auto/URI/URL/_generic/abs.al
/usr/lib/perl5/auto/URI/URL/_generic/autosplit.ix
/usr/lib/perl5/auto/URI/URL/_generic/crack.al
/usr/lib/perl5/auto/URI/URL/_generic/eparams.al
/usr/lib/perl5/auto/URI/URL/_generic/epath.al
/usr/lib/perl5/auto/URI/URL/_generic/eq.al
/usr/lib/perl5/auto/URI/URL/_generic/equery.al
/usr/lib/perl5/auto/URI/URL/_generic/frag.al
/usr/lib/perl5/auto/URI/URL/_generic/host.al
/usr/lib/perl5/auto/URI/URL/_generic/params.al
/usr/lib/perl5/auto/URI/URL/_generic/password.al
/usr/lib/perl5/auto/URI/URL/_generic/path.al
/usr/lib/perl5/auto/URI/URL/_generic/path_components.al
/usr/lib/perl5/auto/URI/URL/_generic/port.al
/usr/lib/perl5/auto/URI/URL/_generic/query.al
/usr/lib/perl5/auto/URI/URL/_generic/rel.al
/usr/lib/perl5/auto/URI/URL/_generic/user.al
/usr/lib/perl5/auto/URI/URL/abs.al
/usr/lib/perl5/auto/URI/URL/as_string.al
/usr/lib/perl5/auto/URI/URL/autosplit.ix
/usr/lib/perl5/auto/URI/URL/bad_method.al
/usr/lib/perl5/auto/URI/URL/base.al
/usr/lib/perl5/auto/URI/URL/crack.al
/usr/lib/perl5/auto/URI/URL/eq.al
/usr/lib/perl5/auto/URI/URL/file/autosplit.ix
/usr/lib/perl5/auto/URI/URL/file/dos_path.al
/usr/lib/perl5/auto/URI/URL/file/mac_path.al
/usr/lib/perl5/auto/URI/URL/file/newlocal.al
/usr/lib/perl5/auto/URI/URL/file/unix_path.al
/usr/lib/perl5/auto/URI/URL/file/vms_path.al
/usr/lib/perl5/auto/URI/URL/http/autosplit.ix
/usr/lib/perl5/auto/URI/URL/http/keywords.al
/usr/lib/perl5/auto/URI/URL/http/query_form.al
/usr/lib/perl5/auto/URI/URL/newlocal.al
/usr/lib/perl5/auto/URI/URL/print_on.al
/usr/lib/perl5/auto/URI/URL/rel.al
/usr/lib/perl5/auto/URI/URL/scheme.al
/usr/lib/perl5/auto/URI/URL/strict.al
/usr/lib/perl5/htmlop.pm
/usr/lib/perl5/i586-linux/5.00404/Net/Config.pm
/usr/lib/perl5/lwpcook.pod
/usr/lib/perl5/w3http.pm
/usr/lib/perl5/w3pdfuri.pm
%doc /usr/man/man1/lwp-download.1.gz
%doc /usr/man/man1/lwp-mirror.1.gz
%doc /usr/man/man1/lwp-request.1.gz
%doc /usr/man/man1/lwp-rget.1.gz
%doc /usr/man/man1/w3mfix.1.gz
%doc /usr/man/man1/w3mir.1.gz
%doc /usr/man/man3/Bundle::LWP.3pm.gz
%doc /usr/man/man3/FAQ.3pm.gz
%doc /usr/man/man3/File::Listing.3pm.gz
%doc /usr/man/man3/HTTP::Cookies.3pm.gz
%doc /usr/man/man3/HTTP::Daemon.3pm.gz
%doc /usr/man/man3/HTTP::Date.3pm.gz
%doc /usr/man/man3/HTTP::Headers.3pm.gz
%doc /usr/man/man3/HTTP::Headers::Util.3pm.gz
%doc /usr/man/man3/HTTP::Message.3pm.gz
%doc /usr/man/man3/HTTP::Negotiate.3pm.gz
%doc /usr/man/man3/HTTP::Request.3pm.gz
%doc /usr/man/man3/HTTP::Request::Common.3pm.gz
%doc /usr/man/man3/HTTP::Response.3pm.gz
%doc /usr/man/man3/HTTP::Status.3pm.gz
%doc /usr/man/man3/LWP.3pm.gz
%doc /usr/man/man3/LWP::Debug.3pm.gz
%doc /usr/man/man3/LWP::MediaTypes.3pm.gz
%doc /usr/man/man3/LWP::MemberMixin.3pm.gz
%doc /usr/man/man3/LWP::Protocol.3pm.gz
%doc /usr/man/man3/LWP::RobotUA.3pm.gz
%doc /usr/man/man3/LWP::Simple.3pm.gz
%doc /usr/man/man3/LWP::UserAgent.3pm.gz
%doc /usr/man/man3/Net::Cmd.3pm.gz
%doc /usr/man/man3/Net::Domain.3pm.gz
%doc /usr/man/man3/Net::DummyInetd.3pm.gz
%doc /usr/man/man3/Net::FTP.3pm.gz
%doc /usr/man/man3/Net::NNTP.3pm.gz
%doc /usr/man/man3/Net::Netrc.3pm.gz
%doc /usr/man/man3/Net::PH.3pm.gz
%doc /usr/man/man3/Net::POP3.3pm.gz
%doc /usr/man/man3/Net::SMTP.3pm.gz
%doc /usr/man/man3/Net::SNPP.3pm.gz
%doc /usr/man/man3/Net::Time.3pm.gz
%doc /usr/man/man3/URI::Escape.3pm.gz
%doc /usr/man/man3/URI::Heuristic.3pm.gz
%doc /usr/man/man3/URI::URL.3pm.gz
%doc /usr/man/man3/WWW::RobotRules.3pm.gz
%doc /usr/man/man3/WWW::RobotRules::AnyDBM_File.3pm.gz
%doc /usr/man/man3/lwpcook.3pm.gz

